/* Contact Section */
#contact {
  padding: 50px 20px;
  background: #191970;
  text-align: center;
}

#contact h1 {
  font-size: 3.8rem;
  line-height: 1.8;
  margin-bottom: 30px;
  color: #fff;
}

#contact h2{
    font-size: 3.5rem;
    line-height: 1.8;
    color: #fff;
    font-family: 'Arial', sans-serif;
    font-weight: bold;
}


/* Container Flex */
.contact-container {
  display: flex;
  justify-content: center;
  align-items: stretch;
  gap: 20px;
  flex-wrap: wrap;
}

/* Map dan Form ukuran sama */
.map-container,
.contact-form {
  flex: 1 1 400px;
  max-width: 500px;
  aspect-ratio: 1 / 1; /* bikin kotak persegi */
  border-radius: 15px;
  overflow: hidden;
  background: #155084;
  box-shadow: 0 4px 12px rgba(0,0,0,0.1);
  margin-right: 30px;
}

/* Map */
.map-container iframe {
  width: 100%;
  height: 100%;
  border: 0;
  border-radius: 15px;
}

/* Form */
.contact-form {
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.contact-form h3 {
  margin-bottom: 15px;
  color: #fff;
}

.contact-form input::placeholder,
.contact-form textarea::placeholder {
  color: #fff;      /* ganti sesuai warna yang diinginkan */
  opacity: 1;       /* pastikan opacity = 1 biar tidak terlalu pudar */
}

.form-group {
  margin-bottom: 15px;
}

.contact-form input,
.contact-form textarea {
  width: 90%;
  padding: 10px;
  border-radius: 8px;
  background-color: #2E5A88;
  border: 1px solid #ccc;
  outline: none;
  font-size: 1rem;
}

.contact-form textarea {
  resize: none;
  min-height: 100px;
  
}

.contact-form button {
  padding: 12px;
  background: #007bff;
  color: white;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  transition: 0.3s;
}

.contact-form button:hover {
  background: #0056b3;
}